## org.apache.mahout.fpm.pfpgrowth
Class MultiTransactionTreeIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<IntArrayList>
              org.apache.mahout.fpm.pfpgrowth.MultiTransactionTreeIterator

All Implemented Interfaces:
  Iterator<IntArrayList>

    public final class MultiTransactionTreeIterator

extends com.google.common.collect.AbstractIterator<IntArrayList>

Iterates over multiple transaction trees to produce a single iterator of transactions

Constructor Summary
`MultiTransactionTreeIterator(Iterator<Pair<IntArrayList,Long>> iterator)`

Method Summary
`protected IntArrayList` `computeNext()`

Methods inherited from class com.google.common.collect.AbstractIterator
`endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiTransactionTreeIterator

    public MultiTransactionTreeIterator(Iterator<Pair<IntArrayList,Long>> iterator)

Method Detail

### computeNext

    protected IntArrayList computeNext()

  Specified by:
    `computeNext` in class `com.google.common.collect.AbstractIterator<IntArrayList>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.